> ## Documentation Index
> Fetch the complete documentation index at: https://docs.streambird.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Wallet Balance

> Get wallet balance of a specific token/asset for a specific wallet.
## Returns

A successful response returns a `balance` property and a `Wallet` object.



## OpenAPI

````yaml post /v1/wallets/balance
openapi: 3.1.0
info:
  title: MoonKey Auth API
  description: >-
    Explore all the details of MoonKey Auth API. All of our APIs are RESTful and
    accept and return JSON.
  version: v1
servers:
  - url: https://api.moonkey.fun
    description: Production
    variables: {}
security:
  - Authorization: []
tags:
  - name: Users
    description: User management API
  - name: Magic Links
    description: ''
  - name: OTPs
    description: >-
      Send OTP (One-time passcodes) by all the supported delivery methods such
      as SMS, email.
  - name: OAuth
    description: ''
  - name: Wallets Login
    description: ''
  - name: Managed Wallets
    description: ''
  - name: Wallet Import
    description: >-
      Import existing wallets into the platform using secure HPKE encryption.
      This flow ensures raw entropy (seed phrases or private keys) never touches
      the server in plaintext.
externalDocs:
  url: ''
  description: ''
paths:
  /v1/wallets/balance:
    parameters: []
    post:
      tags:
        - Managed Wallets
      summary: Get Wallet Balance
      description: >-
        Get wallet balance of a specific token/asset for a specific wallet.

        ## Returns


        A successful response returns a `balance` property and a `Wallet`
        object.
      operationId: GetWalletBalance
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetWalletBalanceRequest'
            examples:
              GetWalletBalanceReq:
                value:
                  token_symbol: ethereum
                  wallet_id: wallet_2Cu7sm5dBTJA7DuVR0K3UtXsCRh
        description: ''
      responses:
        '200':
          description: Get Wallet Balance response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  app_id:
                    type: string
                  user_id:
                    type: string
                  public_address:
                    type: string
                  wallet_type:
                    type: string
                  verified:
                    type: boolean
                  is_default:
                    type: boolean
                  is_read_only:
                    type: boolean
                  is_imported:
                    type: boolean
                  updated_at:
                    type: integer
                  created_at:
                    type: integer
              examples:
                GetWalletBalanceResp:
                  value:
                    balance: '14.8232'
                    token_symbol: ethereum
                    wallet:
                      id: wallet_2Cu7sm5dBTJA7DuVR0K3UtXsCRh
                      app_id: app_25ldv51seNohTaYRsxdfoxMlAa2
                      user_id: user_2CablX3yylM1zISnst73dRCzCgw
                      public_address: '0x9d6de42aee0ead08c3c2aec66bfe31adfcd411c4'
                      wallet_type: ethereum
                      verified: true
                      is_default: true
                      is_read_only: false
                      is_imported: false
                      updated_at: 1659640824
                      created_at: 1659640824
components:
  schemas:
    GetWalletBalanceRequest:
      type: object
      x-examples:
        example-1:
          wallet_type: ethereum
          user_id: user_2Cu2uVhYy0OVgRcO913OsqIVaPI
      properties:
        token_symbol:
          type: string
          description: >-
            Token symbol of the asset to get balance for the specified wallet.
            Token symbol must be compatible with the wallet type of the
            specified wallet. For example, `MATIC (Polygon)` and `ethereum
            (Ethereum)` will both be compatible with a wallet with `wallet_type:
            "ethereum"` and not compatible with a wallet with `wallet_type:
            "solana"`. Possible values: ethereum, solana, AVAX, MATIC, USDC,
            USDT, LINK, DOT, XLM.
        wallet_id:
          type: string
          description: 'Unique wallet ID of the wallet to retrieve balance for. '
      required:
        - token_symbol
        - wallet_id
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      description: >-
        Auth Platform API includes all the Auth related features. All Users,
        Phone Numbers, Emails, and OTPs are associated with an `App` as the
        container.


        Endpoints only accept App's `Secret API keys` other than certain
        endpoints that are used client side or via SDK that accept the
        `public_token`.


        ## Authentication using App Api Key


        ## Header:


        ```

        Authorization: Bearer {api_key}

        ```


        ## Authenticated Request


        ```curl

        curl \
          -X GET https://api.moonkey.fun/v1/auth/users/user_24wFP9pDa9YiMJLun94iKykoZs2 \
          -H "Authorization: Bearer sk_test_pRqweh3wvWmJAAVYv7Z0T5iPLzFM4ql0muoyQcjOxGeN3p1r"
        ```

````